/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载是否数据
var v_yesnoquery = {};
v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
var v_yesnoquery_data = standardModel.dataAction.listAllCache(v_yesnoquery);
//加载文件所在模块数据
var v_modulequery = {};
v_modulequery.FIELD_tableName = "DM_ST_FILE_MODULE";
var v_modulequery_data = standardModel.dataAction.listAllCache(v_modulequery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"附件管理&nbsp;&nbsp;<font color='#993300'>(注：1、蓝色表示数据库里存有文件；2、灰色表示数据被删除。)</font>",
	    iconCls:$.getJwWindowPic(),
	    url:'uploadFileData_list_nofile',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'FILE_NAME',
					title : '附件真实名',
					width : 200,
					align : 'center'
				},
				{
					field : 'FILE_SVAE_NAME',
					title : '附件保存名',
					width : 300,
					align : 'center'
				},
				{
					field : 'MODULE_ID',
					title : '所在模块',
					width : 120,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_modulequery_data.rowSet, value);
					}
				},
				{
					field : 'MAINDATA_ID',
					title : '对应主表ID',
					width : 250,
					align : 'center'
				},
				{
					field : 'FILE_SAVE_PATH',
					title : '磁盘保存路径',
					width : 500,
					align : 'left'
				},
				{
					field : 'EXIST_FILE',
					title : '文件已存库',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_yesnoquery_data.rowSet, value);
				    }
				},
				{
					field : 'DELETE_FLAG',
					title : '数据已删除',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_yesnoquery_data.rowSet, value);
				    }
				},
				{
					field : 'CREATE_NAME',
					title : '创建人员',
					width : 100,
					align : 'center'
				},
				{
					field : 'CREATE_TIME',
					title : '创建时间',
					width : 100,
					align : 'center'
				},
				{
					field : 'UPDATE_NAME',
					title : '修改人员',
					width : 100,
					align : 'center'
				},
				{
					field : 'UPDATE_TIME',
					title : '修改时间',
					width : 100,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip(60);
			$('#FIELD_MODULE_ID').combobox({
				data : v_modulequery_data.rowSet,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
		}
});

$('#list').datagrid({
	rowStyler : function(index, row) {
		if(row.DELETE_FLAG!='1'){
			if (row.EXIST_FILE=='1') {
				return 'color:blue;';
			}
		}
		else{
			return 'color:#c0c0c0;';
		}
		
	}
});

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>  |  <span class=\"icon-undo\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"resumeRow('"
		+ index + "')\">恢复</a>  |  <span class=\"icon-remove\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"removeRow('"
		+ index + "')\">清除</a>  |  <span class=\"icon-download\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"downloadjw('"
		+ index + "')\">下载</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 5;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("uploadFileView_uploadfileTabDetail",is_row,"新增",true,0.65,0.95,0,0);

}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#MODULE_ID').combobox({
		data : v_modulequery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//保存
function insertData(is_entity){
//	is_entity.FIELD_SEND_DATE = strToDateObj(is_entity.FIELD_SEND_DATE);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	var v_result = uploadfileModule.uploadfileActAction.insertUploadfile(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("uploadFileView_uploadfileTabDetail",is_row[0],"编辑",true,0.65,0.95,0,0);	
}

//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#MODULE_ID').combobox({
		data : v_modulequery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//保存
function updateData(is_entity){
//	is_entity.FIELD_SEND_DATE = strToDateObj(is_entity.FIELD_SEND_DATE);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	v_result = uploadfileModule.uploadfileActAction.updateUploadfile(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = uploadfileModule.uploadfileActAction.deleteUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需删除的记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = uploadfileModule.uploadfileActAction.deleteUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',{});
	$("#uploadfileTab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#uploadfileTab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
	renderDATAFORM(v_query,$("#uploadfileTab_searchForm"));
}
/****/

/**
 * 序号：10
 * 功能：单个恢复
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function resumeRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定恢复?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = uploadfileModule.uploadfileActAction.resumeUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：11
 * 功能：批量恢复
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function resumeBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需恢复的记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定恢复删除的记录?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = uploadfileModule.uploadfileActAction.resumeUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：12
 * 功能：单个清除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function removeRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	
	if(is_row[0].DELETE_FLAG!=null && is_row[0].DELETE_FLAG == '0'){
		$.messager.alert('提示',"存在没有删除标记的记录,无法清除!",'info');
		return;
	}
	
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定清除记录?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = uploadfileModule.uploadfileActAction.deleteTrueUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：13
 * 功能：批量清除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function removeBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
		if(rows[i].DELETE_FLAG!=null && rows[i].DELETE_FLAG == '0'){
			$.messager.alert('提示',"存在没有删除标记的记录,无法清除!",'info');
			return;
		}
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需清除的记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定清除记录?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = uploadfileModule.uploadfileActAction.deleteTrueUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：14
 * 功能：高级查询弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载高级查询子页面
function advsearchRow(){
	var is_row={OPETYPE:'ww'};
	openAdvsearchRow("uploadFileView_uploadfileAdvsearch",is_row,"高级查询",true,0.65,0.95,0,0);

}
//加载高级查询子页面成功后的回调
function addAdvsearchCallback(is_row){
	$('#adv_MODULE_ID').combobox({
		data : v_modulequery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//高级查询
function advsearchData(is_entity){
	is_entity.FIELD_START_TIME = strToDateObj(is_entity.FIELD_START_TIME);
	is_entity.FIELD_END_TIME = strToDateObj(is_entity.FIELD_END_TIME);
	is_entity.FIELD_USTART_TIME = strToDateObj(is_entity.FIELD_USTART_TIME);
	is_entity.FIELD_UEND_TIME = strToDateObj(is_entity.FIELD_UEND_TIME);
	$('#list').datagrid('load',is_entity);
}
/****/

/**
 * 序号：15
 * 功能：上传
 * 参数：填写限制上传类型,上传地址
 * 说明：openUpload_image(uuid),打开图片上传;
 *      openUpload_doc(uuid),打开常用公文上传;
 *      openUpload_imagedoc(uuid),打开常图片+用公文上传;
 *      openUpload_page2(up_act,uuid),自定义URL，打开常图片+用公文上传;
 *      如有特殊限制时用以下这段:
 *      var up_type = "gif,jpg,jpeg,bmp,png";//限制上传类型
 *      var up_act = "reportact_upload";//上传地址
 *      openUpload_page1(up_type,up_act,uuid);
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//打开上传页面
function uploadjw(uuid){
	openUpload_page2('uploadFileAct_upload',uuid);
}
//上传成功后的回调,主要返回三个参数:
//fname上传时的真实文件名如：文件.txt,
//fpath上传后的真实文件名如：c:\temp\145597044184082388.txt
//uuid主要用于记录跟文件绑定用,如果uuid的值是'uuid',可多传文件，手工关闭上传界面
function uploadCallback(fname,fpath,uuid){
	var fileOld = fname;
	var filePath = fpath.substring(0,fpath.lastIndexOf("/")+1);
	var filenew = fpath.substring(fpath.lastIndexOf("/")+1);
	var is_entity = {};
	is_entity.FIELD_FILE_NAME = fileOld;
	is_entity.FIELD_FILE_SVAE_NAME = filenew;
	is_entity.FIELD_FILE_SAVE_PATH = filePath;
	var v_result = uploadfileModule.uploadfileActAction.insertUploadfile(is_entity);
	$('#list').datagrid('reload'); 
	$.messager.alert('提示',"上传成功!",'info');
}
/****/

/**
 * 序号：16
 * 功能：下载
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function downloadjw(index){
   $('#list').datagrid('selectRow',index);
	
   var is_row = $('#list').datagrid('getSelections');
   $('#list').datagrid('clearSelections');
	
//   if(is_row[0].EXIST_FILE!=null && is_row[0].EXIST_FILE == '0'){
//	  $.messager.alert('提示',"没有文件可以下载!",'info');
//	  return;
//   }
   var uploadnew = is_row[0].FILE_SVAE_NAME;
   var uploadpath = is_row[0].FILE_SAVE_PATH;
   var uploadold = is_row[0].FILE_NAME;
   var uuid = is_row[0].UUID;
   if(uploadpath == null || uploadpath == ""){
      $.messager.alert('提示',"没有文件可以下载!",'info');
      return;
   }
//   var url = gaowj.WEB_APP_NAME + "/reportact_download?uploadnew="+uploadnew+"&uploadpath="+uploadpath+"&uploadold="+uploadold;
//   window.location = url;
   fileDownload(uploadnew,uploadpath,uploadold,uuid,'uploadFileAct_download');
}
/****/

/**
 * 序号：17
 * 功能：批量处理附件大字段数据(0清空大字段数据,1存储大字段数据)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function setUploadFileBatchRow(lsKey){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需处理的记录!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定处理记录?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    v_query.FIELD_SETKEY = lsKey;
		    var v_result = uploadfileModule.uploadfileActAction.setUploadfile(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/